html {
    scroll-behavior: smooth;
}

body {
    background-image: linear-gradient(#000030, #7070ff, #000030);
    color: #333;
    font-family: "Space Grotesk", sans-serif;
}

header {
    text-align: center;
    color: white;
}

header h1 {
    font-family: "Syncopate", sans-serif;
}

.topnav {
    display: flex;
    flex-flow: column;
    text-align: center;
    background-image: linear-gradient(#000030, #7070ff, #000030);
    margin-bottom: 1rem;
    z-index: 1;
}

.topnav a {
    text-decoration: none;
    color: yellow;
    padding: .5rem;
    border: 1px solid;
    font-size: 1.5rem;
}

.topnav a:hover {
    text-decoration: underline;
    color: red;
}

main {
    background-image: linear-gradient(#fdd25c, #ff7300);
    padding: .5rem;
    border-radius: 1rem;
}

blockquote {
    color: black;
    border: 1px solid;
    border-radius: .5rem;
    padding: 1rem;
}

strong, em, main h2 {
    color: black;
}


article {
    grid-area: article;
}

aside {
    grid-area: aside;
}

aside h2 {
    text-align: center;
}

.top-image {
    display: block;
    margin: 0 auto 1rem auto;
    width: 100%;
}

.map {
    width: 100%;
    height: 100%;
    border: 0;
}

.albums {
    color: black;
}

.album {
    background-image: linear-gradient(#a00000,#FF0000);
    width: 95%;
    padding: 0.5rem;
    margin: 0.5rem auto 0 auto;
    border-radius: 1rem;
    text-align: center;
    font-weight: bold;
}

.album img {
    width: 95%;
    border-radius: 1rem;
    border: 4px solid;
}

.col-2 {
    display: grid;
    grid-template-columns: 1fr;
}

.col-3 {
    display: grid;
    grid-template-columns: 1fr;
}

footer {
    color: white;
}

.copy {
    text-align: center;
    color: white;
}

footer a {
    color: rgb(255, 242, 0);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

audio {
    width: 100%;
    border-radius: 1rem;
}

@media screen and (min-width:37.5rem) {
    main {
        padding: 1rem;
    }

    .albums {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: .5rem;
    }

    .topnav {
        flex-flow: row;
        justify-content: space-around;
        position: sticky;
        top: .5rem;
        border-radius: 8rem;
        margin-left: auto;
        margin-right: auto;
        width: 95%;
    }

    .topnav a {
        font-size: 1rem;
        border: 0;
    }
}

@media screen and (min-width:60rem) {
    .albums {
        grid-template-columns: repeat(3, 1fr);
    }

    .col-2 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 1rem;
    }

    .col-3 {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media screen and (min-width:80rem) {
    body {
        max-width: 80rem;
        margin: auto;
    }
}